/*
 * This file is part of LibNSLayout
 * Licensed under the ISC License, http://opensource.org/licenses/ISC
 * Copyright 2015 Michael Drake <tlsa@netsurf-browser.org>
 */

/** \file src/dom/watcher.h
 * Layout object handling
 */

#ifndef nslayout_dom_watcher_h_
#define nslayout_dom_watcher_h_

#include <libnslayout/nslayout.h>

/**
 * Add DOM change watchers to the layout's document.'
 *
 * \param[in]  layout		nslayout_layout object to set watchers for.
 * \return NSLAYOUT_OK on success, appropriate error otherwise.
 */
nslayout_error nsl_dom_watcher_add_for_layout(nslayout_layout *layout);

/**
 * Remove DOM change watchers from the layout's document.
 *
 * \param[in]  layout		nslayout_layout object remove watchers from.
 * \return NSLAYOUT_OK on success, appropriate error otherwise.
 */
nslayout_error nsl_dom_watcher_remove_for_layout(nslayout_layout *layout);

#endif
